Get a resource by id
curl --request GET \
--url https://aquila.attaxr.com/api/vulnerabilities/{id} \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/vulnerabilities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/vulnerabilities/{id}"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"userId": "<string>",
"title": "<string>",
"severity": "medium",
"status": "open",
"description": "",
"metadata": {},
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"leadId": "<string>",
"scanId": "<string>",
"target": "<string>",
"dedupKey": "<string>",
"score": 50,
"category": "<string>",
"featureCategory": "admin",
"proofOfConcept": "<string>",
"stepsToReproduce": "<string>",
"impact": "<string>",
"remediation": "<string>",
"attackScenarioMermaid": "<string>",
"chainRefs": [
{
"kind": "lead",
"id": "<string>",
"label": "<string>",
"note": "<string>"
}
],
"references": [
{
"title": "<string>",
"url": "<string>"
}
],
"evidence": [
{
"label": "<string>",
"detail": "<string>"
}
],
"methodology": "<string>",
"toolName": "<string>",
"confirmedAt": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}Vulnerabilities
Get a resource by id
GET
/
api
/
vulnerabilities
/
{id}
Get a resource by id
curl --request GET \
--url https://aquila.attaxr.com/api/vulnerabilities/{id} \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/vulnerabilities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/vulnerabilities/{id}"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"userId": "<string>",
"title": "<string>",
"severity": "medium",
"status": "open",
"description": "",
"metadata": {},
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"leadId": "<string>",
"scanId": "<string>",
"target": "<string>",
"dedupKey": "<string>",
"score": 50,
"category": "<string>",
"featureCategory": "admin",
"proofOfConcept": "<string>",
"stepsToReproduce": "<string>",
"impact": "<string>",
"remediation": "<string>",
"attackScenarioMermaid": "<string>",
"chainRefs": [
{
"kind": "lead",
"id": "<string>",
"label": "<string>",
"note": "<string>"
}
],
"references": [
{
"title": "<string>",
"url": "<string>"
}
],
"evidence": [
{
"label": "<string>",
"detail": "<string>"
}
],
"methodology": "<string>",
"toolName": "<string>",
"confirmedAt": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Path Parameters
Response
The resource.
Minimum string length:
1Minimum string length:
1Available options:
info, low, medium, high, critical Available options:
open, triaging, confirmed, false_positive, fixed Show child attributes
Show child attributes
Required range:
0 <= x <= 100Available options:
admin, api, auth, static, cdn, redirect, error, login, file_upload, exposed_asset, form, authentication, infrastructure, documentation, javascript_analysis, hidden_functionality, debug, internal, sensitive_data, technology_signature, parameterized_endpoint Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

